编译vim8并丰盛对lua,python,ruby的支撑美高梅手机登

作者:电脑系统

 

ubuntu 最低配置

Ubuntu由马克·舍特尔沃斯创立,其首个版本于2004年10月20日发布,并以Debian为开发蓝本。但其以每六个月发布一次新版本为目标,使得人们得以更频繁地获取新软件。而其开发目的是为了使个人电脑变得简单易用,但亦有提供服务器版本。Ubuntu的每个新版本均会包含了最新版本的GNOME桌面环境,并且会在GNOME发布新版本后一个月内发行。与以往建基于Debian的Linux发行版,如MEPIS、Xandros、Linspire、Progeny与Libranet等比较起来,Ubuntu更接近Debian的开发理念,因为其主要使用自由与开源软件,而其他的发行版则会附带很多闭源的插件。
Ubuntu的软件套件主要是建基于Debian的不稳定分支:不论是其软件套件格式(deb)还是软件管理与安装系统(Debian Apt/Synaptic)。Ubuntu会将所有对软件套件的修改即时向Debian作出回馈,而不是在发布新版时才宣布这些修改,而事实上,很多Ubuntu的开发者均为Debian的主要软件套件的维护者。但是Debian与Ubuntu的软件套件并不一定与对方兼容。换言之,将Debian的软件包安装在Ubuntu上可能会出现兼容性问题,反之亦然。
Ubuntu的运作主要依靠Canonical有限公司的支持,但亦有来自Linux社区的热心人士提供协助,Ubuntu的开发人员多称马克·舍特尔沃斯为SABDFL(是self-appointed benevolent dictator for life的缩写,即自封的仁慈大君)。而在2005年7月8日,马克·舍特尔沃斯与Canonical有限公司宣布成立Ubuntu基金会,并对其提供1千万美元作为起始营运资金。成立基金会的目的是为了确保将来Ubuntu得以持续开发与获得支持,但直至2008年,此基金会仍未投入运作。马克·舍特尔沃斯形容此基金会是在Canonical有限公司出现财务危机时的紧急营运资金。

上面是一些历史复制过来的。

我前几天刚刚安装后Ubuntu7.10 版的。感觉还挺不错,但是如果你用习惯了MS的操作系统就会感觉很不方便的了。适应一段时间就OK。

你的配置完成可以安装的了,现在还有8.10版的。  

1.安装vim编辑器 sudo apt-get install vim vim-gnome。 vim有vim(vim-basic),vim-tiny,vim-gnome(gvim)等多个版本,安装...

安装相关依赖

sudo apt-get install lua5.1 liblua5.1-dev luajit libluajit-5.1 python-dev python3-dev ruby-dev  libperl-dev libncurses5-dev libatk1.0-dev libx11-dev libxpm-dev libxt-dev

先卸载vim-tiny:

ubuntu个人初始配置记录,ubuntu个人初始

1.安装vim编辑器

sudo apt-get install vim vim-gnome。

vim有vim(vim-basic),vim-tiny,vim-gnome(gvim)等多个版本,安装ubuntu时会默认安装vim-tiny,但这只是一个精简版本,功能很有限,所以要安装vim和vim-gnome,但是gvim不是太好用,可以选择不安装或卸载,就相当于vim的GUI版本。另外vim-common和vim-runtime时运行vim必须的,所以会默认安装。

2.安装g

ubuntu安装时会默认安装gcc,但是想要编译c 程序,需要下面的安装

sudo apt-get install build-essential

3.安装输入法

ubuntu默认的输入法不够好用,一般安装搜狗输入法linux版。

sudo apt-get remove ibus  //卸载默认输入法

sudo apt-get install fcitx-sougoupin  //安装搜狗拼音输入法

最好可以到搜狗输入法官网下载最新版linux拼音输入法,然后进行安装

上面完成之后需要进行相应的配置,这时候输入法的配置程序是“Fcitx配置”。

 

编译vim8

生成Makefile :

./configure 
--enable-multibyte 
--enable-perlinterp=dynamic 
--enable-rubyinterp=dynamic 
--with-ruby-command=/usr/bin/ruby 
--enable-pythoninterp=dynamic 
--with-python-config-dir=/usr/lib/python2.7/config-x86_64-linux-gnu 
--enable-python3interp 
--with-python3-config-dir=/usr/lib/python3.5/config-3.5m-x86_64-linux-gnu 
--enable-luainterp 
--with-luajit 
--enable-cscope 
--enable-gui=auto 
--with-features=huge 
--with-x 
--enable-fontset 
--enable-largefile 
--disable-netbeans 
--with-compiledby="Fan" 
--enable-fail-if-missing

建 议:将上面的命令添加到目录下的 configure 文件中,替换掉文件中原有的 ./configure ?@

使用make进行编译:

make

注意:无需添加--with-lua-prefix=/usr/include/lua5.1选项,只需存在--enable-luainterp选项即可为vim8添加lua支持。

编译失败的脚本

./configure --with-vim-name=vim 
--with-features=huge 
--enable-gui=auto 
--with-x 
--enable-rubyinterp 
--with-ruby-command=/usr/bin/ruby 
--enable-luainterp 
--with-lua-prefix=/usr/include/lua5.3 
--enable-perlinterp 
--enable-pythoninterp  
--with-python-config-dir=$(bash /usr/bin/python2.7-config --configdir)  
--enable-python3interp 
--with-python3-config-dir=$(bash /usr/bin/python3.5-config --configdir) 
--enable-fontset --enable-gtk2-check 
--enable-gnome-check 
--enable-multibyte 
--with-compiledby="YourName"  
--enable-fail-if-missing

# 遇到的几个错误:
# 脚本中的  后不能有空格,而因在后直接换行
# bash: /usr/bin/python3.5-config: 没有那个文件或目录    原因是没有安装:python3.5-dev
# checking if lua.h can be found in /usr/include/lua5.3/include... no
# checking if lua.h can be found in /usr/include/lua5.3/include/lua... no

 

Ubuntu配置要高

我看你还是别装了,你的电脑不符合最低要求:

一直以来,Ubuntu均支持主流的i386、AMD64与PowerPC平台,因此大多数个人电脑使用者皆可安装相应的Ubuntu版本在其电脑上。而在2006年6月,Ubuntu新增了对Sun电脑的UltraSPARC与UltraSPARC T1平台的支持,使用者可下载相应版本进行安装。
自初始发行起,Ubuntu即提供一片安装光碟与一片用来预览的Live CD。在Ubuntu 6.06 LTS发布时,其将原来只用作预览的Live CD更改为不只可以用来预览,还可以使用图形接口进行安装的光碟(即Desktop CD),而原来只提供文字安装接口的安装光碟则保留并改名(即Alternate Install CD)。
在硬件要求上,Ubuntu需要384MB内存,并需要3GB的硬盘空间用来安装。
在档案系统格式方式,Ubuntu缺省采用ext3档案系统格式,但亦可选择其他档案系统格式。而在存取微软视窗分区方面,它可以自由读取和写入FAT32档案系统格式的分区,自Ubuntu 7.10开始,也可以对NTFS档案系统格式的分区进行读写。

要384MB内存,别说开3D,开机都卡。  

卸载原有vim

sudo apt-get remove --purge vim vim-runtime vim-gnome vim-tiny vim-gui-common

sudo rm -rf /usr/local/share/vim /usr/bin/vim

建议卸载原有 vim 版本

作者:耑新新,发布于  博客园

下载并解压源码包

Releases · vim/vim

[2017-07-25] 对vim8的开发还在火热进行中,在我下载该源码包后的9小时内又产生了3个新版本。

Ubuntu 下 vi 输入方向键会变成 ABCD,这是 Ubuntu 预装的是 vim tiny 版本,安装 vim full 版本即可解决。

安装vim8

生成 deb 包

sudo checkinstall --install=no
# ... 对deb进行描述

安装

sudo dpkg -i vim-***.deb

查看安装:

[fan 12:28:37]/tmp/vim-8.0.0768$ vim --version
VIM - Vi IMproved 8.0 (2016 Sep 12, compiled Jul 25 2017 12:21:19)
包含补丁: 1-768
编译者 fan
巨型版本 无图形界面。  可使用( )与不可使用(-)的功能:
 acl              file_in_path     mouse_sgr        tag_old_static
 arabic           find_in_path    -mouse_sysmouse  -tag_any_white
 autocmd          float            mouse_urxvt     -tcl
-balloon_eval     folding          mouse_xterm      termguicolors
-browse          -footer           multi_byte      -terminal
  builtin_terms   fork()           multi_lang       terminfo
 byte_offset      gettext         -mzscheme         termresponse
 channel         -hangul_input    -netbeans_intg    textobjects
 cindent          iconv            num64            timers
 clientserver     insert_expand    packages         title
 clipboard        job              path_extra      -toolbar
 cmdline_compl    jumplist         perl/dyn         user_commands
 cmdline_hist     keymap           persistent_undo  vertsplit
 cmdline_info     lambda           postscript       virtualedit
 comments         langmap          printer          visual
 conceal          libcall          profile          visualextra
 cryptv           linebreak        python/dyn       viminfo
 cscope           lispindent       python3/dyn      vreplace
 cursorbind       listcmds         quickfix         wildignore
 cursorshape      localmap         reltime          wildmenu
 dialog_con       lua              rightleft        windows
 diff             menu             ruby/dyn         writebackup
 digraphs         mksession        scrollbind       X11
-dnd              modify_fname     signs            xfontset
-ebcdic           mouse            smartindent     -xim
 emacs_tags      -mouseshape       startuptime     -xpm
 eval             mouse_dec        statusline       xsmp_interact
 ex_extra        -mouse_gpm       -sun_workshop     xterm_clipboard
 extra_search    -mouse_jsbterm    syntax          -xterm_save
 farsi            mouse_netterm    tag_binary      
     系统 vimrc 文件: "$VIM/vimrc"
     用户 vimrc 文件: "$HOME/.vimrc"
 第二用户 vimrc 文件: "~/.vim/vimrc"
      用户 exrc 文件: "$HOME/.exrc"
       defaults file: "$VIMRUNTIME/defaults.vim"
         $VIM 预设值: "/usr/local/share/vim"

然后我们就惊喜地发现恢复正常了。

参考

Google搜索: Installing vim 8 with lua on Ubuntu
Install Vim 8 with Python, Python 3, Ruby and Lua support on Ubuntu 16.04
编译vim8并丰盛对lua,python,ruby的支撑美高梅手机登录网站。Install Vim 8 with Python, Python 3, Ruby (2.4) and Lua support on Ubuntu

$ sudo apt-get remove vim-common
$ sudo apt-get install vim

转载请注明出处,欢迎邮件交流:zhuanxinxin@foxmail.com

再安装vim full:

本文由分分快三计划发布,转载请注明来源

关键词: 开发环境